/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.me.androidapplicationfirst;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

/**
 *
 * @author arti
 */
public class MainActivity extends Activity {

    private Button button1;
    private TextView textView1;
    private OnClickListener buttonListner = new OnClickListener() {

        public void onClick(View arg0) {
            //throw new UnsupportedOperationException("Not supported yet.");
            Toast.makeText(getApplicationContext(), "I'm Toast MSG", Toast.LENGTH_LONG).show();
        }
    };

    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);
        // ToDo add your GUI initialization code here
        setContentView(R.layout.main);
        
        setTitle(R.string.app_name);

        button1 = (Button) findViewById(R.id.button1);
        textView1 = (TextView) findViewById(R.id.textView1);

        button1.setOnClickListener(buttonListner);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        //return super.onCreateOptionsMenu(menu);
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.news_create:
                newsCreate();
                return true;
            case R.id.news_delete:
                newsDelete();
                return true;
            case R.id.help:
                showDialog(DIALOG_HELP_ID);
                return true;
            case R.id.exit:
                finish();
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }

    private void newsCreate() {
        Toast.makeText(getApplicationContext(), "News created :P", Toast.LENGTH_LONG).show();
    }

    private void newsDelete() {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setMessage(R.string.news_delete_msg).setCancelable(false).setPositiveButton(R.string.Yes, new DialogInterface.OnClickListener() {

            public void onClick(DialogInterface dialog, int id) {
                MainActivity.this.finish();
            }
        }).setNegativeButton(R.string.No, new DialogInterface.OnClickListener() {

            public void onClick(DialogInterface dialog, int id) {
                dialog.cancel();
            }
        });
        AlertDialog alert = builder.create();
        alert.show();
    }
    static final int DIALOG_HELP_ID = 1;

    @Override
    protected Dialog onCreateDialog(int id) {
        Dialog dialog;
        switch (id) {
            case DIALOG_HELP_ID:
                dialog = new Dialog(this);

                dialog.setContentView(R.layout.dialog_help);
                dialog.setTitle(R.string.help_dialog_title);

                TextView text = (TextView) dialog.findViewById(R.id.text);
                text.setText(R.string.help_dialog_msg);
                ImageView image = (ImageView) dialog.findViewById(R.id.image);
                image.setImageResource(R.drawable.help_32);
                break;
            default:
                dialog = null;
        }
        return dialog;
    }
}
